weka.core.pmml.jaxbbindings

## Class Counts

- java.lang.Object
- - weka.core.pmml.jaxbbindings.Counts

-     public class Counts
      extends java.lang.Object

  Java class for Counts element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="Counts">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="cardinality" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
               <attribute name="invalidFreq" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="missingFreq" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="totalFreq" use="required" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Counts()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigInteger` | `getCardinality()` Gets the value of the cardinality property.
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `java.lang.Double` | `getInvalidFreq()` Gets the value of the invalidFreq property.
    `java.lang.Double` | `getMissingFreq()` Gets the value of the missingFreq property.
    `double` | `getTotalFreq()` Gets the value of the totalFreq property.
    `void` | `setCardinality(java.math.BigInteger value)` Sets the value of the cardinality property.
    `void` | `setInvalidFreq(java.lang.Double value)` Sets the value of the invalidFreq property.
    `void` | `setMissingFreq(java.lang.Double value)` Sets the value of the missingFreq property.
    `void` | `setTotalFreq(double value)` Sets the value of the totalFreq property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Counts

          public Counts()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getCardinality

          public java.math.BigInteger getCardinality()

      Gets the value of the cardinality property.
      Returns:
        possible object is `BigInteger`

    - #### setCardinality

          public void setCardinality(java.math.BigInteger value)

      Sets the value of the cardinality property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getInvalidFreq

          public java.lang.Double getInvalidFreq()

      Gets the value of the invalidFreq property.
      Returns:
        possible object is `Double`

    - #### setInvalidFreq

          public void setInvalidFreq(java.lang.Double value)

      Sets the value of the invalidFreq property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getMissingFreq

          public java.lang.Double getMissingFreq()

      Gets the value of the missingFreq property.
      Returns:
        possible object is `Double`

    - #### setMissingFreq

          public void setMissingFreq(java.lang.Double value)

      Sets the value of the missingFreq property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getTotalFreq

          public double getTotalFreq()

      Gets the value of the totalFreq property.

    - #### setTotalFreq

          public void setTotalFreq(double value)

      Sets the value of the totalFreq property.